server:
  port: ${CONFIG_SERVICE_PORT:8081}

spring:
  application:
    name: ${CONFIG_SERVICE_NAME:config-service}
  cloud:
    config:
      #label: spring-boot-2.4
      server:
        git:
          uri: https://gitlab.com/mehdi.dadah/alwibmatjar.git
          search-paths: ${SEARCH_PATH:config-files}
          username: ${GIT_USER}
          password: ${GIT_PASSWORD}
          deleteUntrackedBranches: true
      discovery:
        enabled: true
        service-id: ${spring.application.name}
  security:
    user:
      name: ${CONFIG_SERVICE_USER:root}
      password: ${CONFIG_SERVICE_PASSWORD:root}

logging:
  file:
    path: /var/log/online-store/${spring.application.name}

management:
  endpoint:
    health:
      show-details: when-authorized
